server:
  port: 8800

spring:
  profiles:
    active: dev
  application:
    name: bunny-service

  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://${bunny.datasource.host}:${bunny.datasource.port}/${bunny.datasource.sqlData}?serverTimezone=GMT%2B8&useSSL=false&characterEncoding=utf-8&allowPublicKeyRetrieval=true
    username: ${bunny.datasource.username}
    password: ${bunny.datasource.password}

  data:
    redis:
      host: ${bunny.redis.host}
      port: ${bunny.redis.port}
      database: ${bunny.redis.database}
      password: ${bunny.redis.password}
      lettuce:
        pool:
          max-active: 20 #最大连接数
          max-wait: -1    #最大阻塞等待时间(负数表示没限制)
          max-idle: 5    #最大空闲
          min-idle: 0     #最小空闲

  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8

mybatis-plus:
  mapper-locations: classpath:mapper/*.xml
  global-config:
    db-config:
      logic-delete-field: isDelete
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl # 查看日志

logging:
  level:
    cn.bunny.service.mapper: debug
    cn.bunny.service.controller: info
    cn.bunny.service.service: info
  pattern:
    dateformat: HH:mm:ss:SSS
  file:
    path: "logs/${spring.application.name}"

bunny:
  minio:
    endpointUrl: ${bunny.minio.endpointUrl}
    accessKey: ${bunny.minio.accessKey}
    secretKey: ${bunny.minio.secretKey}
    bucket-name: ${bunny.minio.bucket-name}

  snowflake:
    datacenterBits: 5 # 数据中心id位数
    workerBits: 5 # 机器id位数
    sequenceBits: 12 # 序列id所占位数
    datacenterId: 1 # 数据中心id,范围0-2^5-1
    workerId: 1 # 机器id,范围0-2^5-1
    twepoch: 1704038400000  # 时间戳起始点（2024-01-01 00::00:00 的毫秒数）
    maxBatchCount: 100000 #单次批量生成id的最大数量  默认10万